cURL
curl -X GET \
/customers/{customerId}/children \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/customers/{customerId}/children"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/customers/{customerId}/children', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/customers/{customerId}/children",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}[
{
"id": "00000000-0000-0000-0000-000000000001",
"customerNumber": "CUST-101",
"name": "Radiologie Abteilung",
"companyName": "Radiologie Abteilung",
"email": "radio@klinik.de",
"status": "STATUS_ACTIVE",
"activeSubscriptionCount": 3
}
]Hierarchy
Get customer children
Returns a list of direct child customers for the specified customer, including subscription metrics. When the customer.hierarchy feature is not enabled, an empty array is returned.
customer:readGET
/
customers
/
{customerId}
/
children
cURL
curl -X GET \
/customers/{customerId}/children \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/customers/{customerId}/children"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/customers/{customerId}/children', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/customers/{customerId}/children",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}[
{
"id": "00000000-0000-0000-0000-000000000001",
"customerNumber": "CUST-101",
"name": "Radiologie Abteilung",
"companyName": "Radiologie Abteilung",
"email": "radio@klinik.de",
"status": "STATUS_ACTIVE",
"activeSubscriptionCount": 3
}
]Returns a list of direct child customers for the specified parent customer. Each child entry includes basic customer information and the count of active subscriptions (
activeSubscriptionCount).
When the customer.hierarchy feature is not enabled, this endpoint returns an empty array.
Response Fields
| Field | Description |
|---|---|
id | The child customer ID |
customerNumber | The customer number |
name | The display name |
companyName | The company name |
email | The primary email address |
status | The customer status (STATUS_ACTIVE, STATUS_ARCHIVED, STATUS_SUSPENDED) |
activeSubscriptionCount | Number of active subscriptions for this child customer |
Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Pfadparameter
The ID of the parent customer
Antwort
List of direct child customers
Beispiel:
"00000000-0000-0000-0000-000000000001"
Beispiel:
"CUST-101"
Beispiel:
"Radiologie Abteilung"
Beispiel:
"Radiologie Abteilung"
Beispiel:
"radio@klinik.de"
Verfügbare Optionen:
STATUS_ACTIVE, STATUS_ARCHIVED, STATUS_SUSPENDED Beispiel:
"STATUS_ACTIVE"
The number of active subscriptions for this child customer
Beispiel:
3
War diese Seite hilfreich?